Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.protocol
Class ProtocolClient

    java.lang.Object
      java.lang.Thread
          vutbr.checkers.protocol.ProtocolClient

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  ClientThread, ServerThread

    public abstract class ProtocolClient

extends java.lang.Thread

Trida ProtocolClient

Author:
  Ondrej Novy

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ProtocolClient()`

Method Summary
`void` | `denyMethod()` Odesle ReplyBadCommand zpravu
`protected ProtocolInput` | `getProtocolInput()` Vrati protkolovy vstup
`protected ProtocolOutput` | `getProtocolOutput()` Vrati protokolovy vystup
`abstract void` | `onBadCommand()`
`abstract void` | `onExit()`
`abstract void` | `onGame(java.lang.String login)`
`abstract void` | `onGameAccept(java.lang.String login)`
`abstract void` | `onGameEnd()`
`abstract void` | `onGameError(java.lang.String error)`
`abstract void` | `onGameReject(java.lang.String login)`
`abstract void` | `onLogin(java.lang.String login)`
`abstract void` | `onLoginError(java.lang.String error)`
`abstract void` | `onLoginOk()`
`void` | `onPing()`
`void` | `onPong()`
`abstract void` | `onRegister(java.lang.String login)`
`abstract void` | `onRegisterError(java.lang.String error)`
`abstract void` | `onRegisterOk()`
`abstract void` | `onTurn(int x, int y, int toX, int toY)`
`abstract void` | `onTurnEnd()`
`abstract void` | `onTurnEndError(java.lang.String error)`
`abstract void` | `onTurnEndOk()`
`abstract void` | `onTurnError(java.lang.String error)`
`abstract void` | `onTurnOk()`
`abstract void` | `onUserInGame(java.lang.String login)`
`abstract void` | `onUserLogin(java.lang.String login)`
`abstract void` | `onUserLogout(java.lang.String login)`
`abstract void` | `onUserOutGame(java.lang.String login)`
`protected void` | `setProtocolInput(ProtocolInput protocolInput)` Nastavi protokolovy vstup
`protected void` | `setProtocolOutput(ProtocolOutput protocolOutput)` Nastavi protokolovy vystup

Methods inherited from class java.lang.Thread
`activeCount, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, checkAccess, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtocolClient

    public ProtocolClient()

Method Detail

### setProtocolOutput

    protected void setProtocolOutput(ProtocolOutput protocolOutput)

  Nastavi protokolovy vystup

  Parameters:
    `protocolOutput` - Protokolovy vystup

### getProtocolOutput

    protected ProtocolOutput getProtocolOutput()

  Vrati protokolovy vystup

  Returns:
    Protokolovy vystup

### setProtocolInput

    protected void setProtocolInput(ProtocolInput protocolInput)

  Nastavi protokolovy vstup

  Parameters:
    `protocolInput` - Protokolovy vstup

### getProtocolInput

    protected ProtocolInput getProtocolInput()

  Vrati protkolovy vstup

  Returns:
    Protokolovy vstup

### denyMethod

    public void denyMethod()

  Odesle ReplyBadCommand zpravu

### onRegister

    public abstract void onRegister(java.lang.String login)

### onLogin

    public abstract void onLogin(java.lang.String login)

### onExit

    public abstract void onExit()

### onPing

    public void onPing()

### onGame

    public abstract void onGame(java.lang.String login)

### onGameEnd

    public abstract void onGameEnd()

### onTurn

    public abstract void onTurn(int x,
                                int y,
                                int toX,
                                int toY)

### onTurnEnd

    public abstract void onTurnEnd()

### onBadCommand

    public abstract void onBadCommand()

### onLoginOk

    public abstract void onLoginOk()

### onLoginError

    public abstract void onLoginError(java.lang.String error)

### onRegisterOk

    public abstract void onRegisterOk()

### onRegisterError

    public abstract void onRegisterError(java.lang.String error)

### onUserLogin

    public abstract void onUserLogin(java.lang.String login)

### onUserLogout

    public abstract void onUserLogout(java.lang.String login)

### onUserInGame

    public abstract void onUserInGame(java.lang.String login)

### onUserOutGame

    public abstract void onUserOutGame(java.lang.String login)

### onPong

    public void onPong()

### onGameAccept

    public abstract void onGameAccept(java.lang.String login)

### onGameReject

    public abstract void onGameReject(java.lang.String login)

### onGameError

    public abstract void onGameError(java.lang.String error)

### onTurnError

    public abstract void onTurnError(java.lang.String error)

### onTurnOk

    public abstract void onTurnOk()

### onTurnEndError

    public abstract void onTurnEndError(java.lang.String error)

### onTurnEndOk

    public abstract void onTurnEndOk()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD